PHP Downgrade - please help

Discussion in 'Installation/Configuration' started by alex123, Nov 1, 2010.

  1. alex123

    alex123 New Member

    Hi,
    I have just had to move a number of our websites onto a new server.

    However some of the functions are not working because the original server has a different version of PHP to the new server.

    The original server had 5.1.2 and the new server has 5.3.2-2 .

    They are both running Debian.

    I am wondering if you could explain to me how I would go about downgrading my PHP from 5.3 to 5.1.

    I would really appreciate any help,
    Thanks,
    Alex
     
  2. alex123

    alex123 New Member

    Would copying this file "/usr/lib/apache2/modules/libphp5.so" from the old server to the new server be a quick fix?

    Above does not make any difference
     
    Last edited: Nov 1, 2010
  3. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    No, this will not work as all php modules and dependencies will then fail.

    From which repository is php installed on the new server? As the current PHP version on debian 5.0.6 (stable) is 5.2.6-1+lenny9 and not php 5.3.
     
  4. alex123

    alex123 New Member

    I managed to fix the sites rather than update PHP.

    Thanks for your help
     
    Last edited: Nov 1, 2010

Share This Page